1. Viewing Service
Realsee Open API
  • Open API
    • Permission Interface
      • Get access_token
    • Metadata Related
      • Short Link Code Parsing
      • Combine VR Data
    • Viewing Service
      • Create Viewing Room (Open Platform Version)
        POST
      • Get Room Ticket
        POST
      • Get Voice Room Signature Interface
        POST
      • Get Viewing Room Details
        GET
    • Basic Data
      • VR Basic Data
      • Homepage Basic Data
      • Project List Data
      • VR point collection information
    • Edit Data
      • Space Related
        • Route guidance (old)
        • Hot data
        • Ruler data
        • Explain data
        • Point navigation data
        • Floor plan plug-in related data
        • Point video data
        • Custom ruler data
        • Label data
        • Route guidance
        • Get floor perspective
        • Get a list of surveillance videos
        • Hot data_V2
        • Hot data_V4
        • Get the entry door data
        • Entry door data interface
        • Get tag details
        • Point navigation data (new)
        • Tag list
        • Route planning
      • Business Related
        • VR introduction data
        • Extended information details (PDF&image file list)
        • Get PDF file preview link
        • Personal business card information
        • Get page component data
      • Configuration Related
        • VR configuration data
        • Source dimension introduction
        • Route guidance personalized configuration
        • Tag configuration
  • Schemas
    • Schemas
      • Work Data
      • Account description
      • Hot spot tag data
      • User details
      • Hotspot tag response data body
      • Account details
      • Manual ruler data
      • Point navigation data
      • Point video data
      • Label data
      • Route guidance data
      • Short-link coding details
      • Home screen data
      • Gateway response body
  1. Viewing Service

Create Viewing Room (Open Platform Version)

POST
https://app-gateway.realsee.ai/open/v1/live/entrance

Request

Header Params

Body Params application/json

Example
{
    "app_id": "string",
    "create_user_id": "string",
    "create_user_role": "string",
    "members": "string",
    "resource_code": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app-gateway.realsee.ai/open/v1/live/entrance' \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--data '{
    "app_id": "string",
    "create_user_id": "string",
    "create_user_role": "string",
    "members": "string",
    "resource_code": "string"
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "request_id": "20240909154826-1027205133-c47501122c34b863cda5d22d6edc15bc",
    "trace_id": "a82a63c4-bc5e-4bcc-a24c-ed7ac9be4624",
    "business_code": "0",
    "osi_request_id": "",
    "code": 0,
    "status": "success",
    "data": {
        "room_code": "R3LzwQmbN77DxdJl",
        "room_link": "wss://ws-access.realsee.com/open/R3LzwQmbN77DxdJl?open_app_id=2386"
    },
    "cost": 79
}
Previous
Combine VR Data
Next
Get Room Ticket
Built with